import { RpcRequest } from '../RpcRequest';
import { RpcResponse } from '../RpcResponse';
/**
 * JSON-RPC request for the *addnode* command.
 */
export interface AddNodeRequest extends RpcRequest {
    readonly method: 'addnode';
    readonly params?: any[];
}
/**
 * JSON-RPC response for the *addnode* command.
 */
export interface AddNodeResponse extends RpcResponse {
    readonly result: AddNodeResult | null;
}
/**
 * Result of the *addnode* command.
 */
export declare type AddNodeResult = any;
export declare function AddNode(...params: any[]): AddNodeRequest;
